ข้ามไปยังเนื้อหา
Sursa Developers

ออบเจ็กต์

TextCardRequest

ฟิลด์

  • titlestringจำเป็น

    length ≥ 1, length ≤ 200

  • collectionstring

    ค่าเริ่มต้น: "default"

  • body_markdownstring

    ข้อความของการ์ดในรูปแบบ Markdown content_type ไม่มีผลกับฟิลด์นี้ ส่ง body แทนได้

    length ≥ 1, length ≤ 500000

  • tagsarray of string | null

    items ≤ 30

  • categorystring | null

    length ≤ 60

  • sensitiveboolean | null
  • owner_idinteger | null
  • asyncboolean

    ค่าเริ่มต้น: false

  • bodystring

    ข้อความของการ์ดในรูปแบบ content_type ส่ง body หรือ body_markdown อย่างใดอย่างหนึ่ง ถ้าส่งทั้งสองฟิลด์จะได้รับ 422 validation.failed

    length ≥ 1, length ≤ 500000

  • collection_idinteger | null

    คอลเลกชันตาม ID เมื่อส่ง collection มาด้วย ระบบใช้ collection_id ถ้าคอลเลกชันไม่มีอยู่ในองค์กรหรือมองไม่เห็นจะได้รับ 404 collections.not_found

  • folder_idstring | null

    โฟลเดอร์ของคอลเลกชันที่จะใส่การ์ด ตรวจแบบเดียวกับ folder_id ของการอัปโหลดไฟล์ ถ้าเป็นโฟลเดอร์ของคอลเลกชันอื่นจะได้รับ 400 folders.card_collection_mismatch ถ้าไม่มีโฟลเดอร์นั้นจะได้รับ 404 folders.not_found และถ้าไม่มีสิทธิ์ COLLECTION_EDIT_CARDS บนโฟลเดอร์จะได้รับ 403 authz.forbidden

    length ≤ 64

  • external_idstring | null

    external_id ของการ์ดใหม่ ถ้าการ์ดอื่นขององค์กรใช้ค่านี้อยู่ คำขอจะได้รับ 409 cards.external_id_taken หากต้องการสร้างหรือแทนที่การ์ดตาม external_id ให้ใช้ PUT /v1/cards-by-external-id/{external_id}

    length ≤ 512

ใช้โดย